<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class EtabAxe extends Model
{
    use HasFactory;
    
    protected $fillable = ['axe_id', 'etablissement_id'];

    public function axe(): BelongsTo
    { 
        return $this->belongsTo(Axe::class); 
    }
    
    public function etablissement(): BelongsTo
    { 
        return $this->belongsTo(Etablissement::class); 
    }
}
